
QGIS Application - Bug report #20596

Print composer causes crash when I save changes to layout

2018-11-22 03:31 PM - Ian Court

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28416

Description

Crashes when I try to save changes to a print layout (I am deleting a print layout object and then clicking save).

Crash ID: 693cb4f1399ff1fa0c802f07f39cdc8487a756e9

Stack Trace

QgsLayoutItemAttributeTable::writePropertiesToElement :

QgsLayoutMultiFrame::writeXml :

QgsLayout::writeXml :

QgsPrintLayout::writeXml :

QgsPrintLayout::writeLayoutXml :

QgsLayoutManager::writeXml :

QgsProject::writeProjectFile :

QgsProject::zip :

QgsProject::write :

QgisApp::fileSave :

QMetaObject::activate :

QAction::activate :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :
CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-11-22 08:27 PM - Nyall Dawson

- Status changed from Open to Feedback

Could you share the project so that we can test?

#2 - 2019-01-15 04:09 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
